<?php
/*
PHProjekt Public Calendar system
Manfred Moser manfred@mosabuam.com
Licenced under the Gnu Public Licence GPL
Obtain your licence copy from http://www.fsf.org/licenses/licenses.html
*/

// include the class for rendering the calendar
// no changes in the class should be required to get the system to work
 
include("ppcslib.php"); 


// extending the calendar class to cater for PHProjekt DB access
// tested with PostgreSQL, should work anywhere though

class PHProjektCalendar extends Calendar
{
    function getCalendarLink($month, $year)
    {
        // Redisplay the current page, but with some parameters
        // to set the new month and year
        $s = getenv('SCRIPT_NAME');
        return "$s?month=$month&year=$year";
    }

	/* dont need to link anywhere for now.. so this function is not used
       later we can use that to display a single day with more information or a
	   daily view...
	function getDateLink($day, $month, $year)
	{
		$daystring= pad($year, 4) ."-". pad($month, 2) ."-". pad($day, 2);
		$s = getenv('SCRIPT_NAME');
		$querystr = "select * from termine where visi = '2' and datum = '$daystring'";
		// echo $querystr;
		$result = db_query($querystr) or db_die();
		$row = db_fetch_row($result);
		if ($row[0] > "")
        {
            return "$s?day=$day&month=$month&year=$year";
        }
        else
        {
			return "";
        }
	}
	*/

	function getDateText($day, $month, $year)
	{
		$daystring= pad($year, 4) ."-". pad($month, 2) ."-". pad($day, 2);
		$s = getenv('SCRIPT_NAME');
		$querystr = "select * from termine where visi = '2' and datum = '$daystring'";
		$result = db_query($querystr) or db_die();
		while ($row = db_fetch_row($result)) {
			$event_text .= "<br>".$row[3];
	    }
		if ($event_text > "")
        {
            return $event_text;
        }
        else
        {
			return "";
        }
	}
}

// creating the calendar
$cal = new PHProjektCalendar;


// starting to modify the calendar

// changing day names
// changing to full names since the default are S, M, T...
// You will have to change this array to your language.
// Uncomment the one you want or create a new one.

// english
$DayNames = array ("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
// german
// $DayNames = array ("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");

$cal->setDayNames($DayNames);

// changing month names
// You will have to change this array to your language.
// Uncomment the one you want or create a new one.

//english is default no need to change it

// german
// $MonthNames = array("Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");

// french
// $MonthNames = array("Janvier", "F&eacute;vrier", "Mars", "Avril", "Mai", "Juin", "Juillet", "Ao&ucirc;t", "Septembre", "Octobre", "Novembre", "D&eacute;cembre");

// uncomment this line if you are not using english(the default) for month names
// $cal->setMonthNames($MonthNames);


// A string with the properties for the month table
// modify this to your needs
$tblprop="class=\"calendar\" border=\"1\" cellspacing=\"3\" cellpadding=\"3\" width=\"100%\"";
$cal->setTblMonthProps($tblprop);

// If no month/year set, use current month/year
$d = getdate(time());

if ($month == "")
{
    $month = $d["mon"];
}

if ($year == "")
{
    $year = $d["year"];
}

$monthstring= pad($year, 4) ."-". pad($month, 2);

/* this should be a select form for months and year..
	echo "<form method=\"post\">\n";
	$months = $cal->getMonthNames;
	echo count($cal->$monthNames)."<br>";
	for ($i=0;$i<count($cal->monthNames);$i++) {
		echo months[$i+1];
	    echo $i+1;
	    echo $cal->$monthNames[$i+1];
		echo "<br>";
	}
	echo "</form>";
*/

echo $cal->getMonthView($month, $year);

echo "<br><dl>\n";

$querystr = "select * from termine where visi = '2' and datum like '$monthstring%' order by datum, anfang desc";
$result = db_query($querystr) or db_die();

while ($row = db_fetch_row($result)) {
	$event_date = $row[7];
    $event_day = substr($row[7],8,2);
    $event_month = substr($row[7],5,2);
    $event_year = substr($row[7],0,4);
    $event_begin =substr($row[8],0,2).":".substr($row[8],2,2);
    $event_end =substr($row[9],0,2).":".substr($row[9],2,2);
	$event_text = $row[3];
	$event_note = $row[4];
	$event_place = $row[11];
	$event_remark = $row[13];
	echo "<dt>$event_date";
	// that if doesnt work yet
	if ($row[8]<>"----" and $row[9]<>"----") {
		echo "&nbsp;&nbsp;$event_begin-$event_end";
    }
	echo ": <b>$event_text";
	if ($event_note>"") {
		echo " - $event_note";
	}
	echo "</b></dt><dd>";
	if ($event_place>"") {
		echo "$event_place<br>";
	}
	if ($event_remark>"") {
		echo "$event_remark";
	}
	echo "</dd><br>\n";
}
echo "</dl>\n";
?>

